Skip to main content

List Expense Categories (v1)

Method & Path

GET /api/v1/client/workspace/:workspaceId/expense-categories

Description

List workspace-defined expense categories. Each workspace owner can define custom categories (e.g. services, salaries, rent). Used for filtering expenses and in the Add Expense form.

Authentication

Required: Workspace authentication (Workspace Owner or Staff).

Path Parameters

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace identifier

Response 200 OK

[
{
"id": "507f1f77bcf86cd799439013",
"workspaceId": "507f1f77bcf86cd799439012",
"name": "services",
"labelAr": "خدمات",
"order": 0,
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z"
}
]

Common Errors

401 Unauthorized: Missing or invalid token
404 Not Found: Workspace not found